#
# spec file for package python-google-resumable-media
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-google-resumable-media
Version:        0.5.0
Release:        5.3.2
Summary:        Utilities for Google Media Downloads and Resumable Uploads
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/GoogleCloudPlatform/google-resumable-media-python
Source:         https://files.pythonhosted.org/packages/source/g/google-resumable-media/google-resumable-media-%{version}.tar.gz
BuildRequires:  %{python_module google-auth}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module requests >= 2.18.0}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-six
Recommends:     python-requests >= 2.18.0
BuildArch:      noarch
%python_subpackages

%description
Utilities for Google Media Downloads and Resumable Uploads

%prep
%setup -q -n google-resumable-media-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest tests/unit

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Wed Apr  8 2020 mcalabkova@suse.com
- Update to 0.5.0
  * Add raw download classes.
* Thu Sep 26 2019 tchvatal@suse.com
- Update to 0.4.1:
  * Revert "Always use raw response data. (#87)" (#103)
* Thu Sep 12 2019 tchvatal@suse.com
- Update to 0.4.0:
  * Require 200 response for initial resumable upload request. (#95)
  * Use response as variable for object returned from http_request. (#98)
  * Further DRY request dependency pins. (#96)
  * Finish download on seeing 416 response with zero byte range. (#86)
  * Always use raw response data. (#87)
* Fri Mar 15 2019 tchvatal@suse.com
- Update to 0.3.2:
  * Using str instead of repr for multipart boundary.
  * Making requests a strict dependency for the requests subpackage.
- Really run tests
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Wed Sep 12 2018 tbechtold@suse.com
- Initial packaging (version 0.3.1)
